package com.bsoft.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class Disease {
    /**
     * 等级查询疾病实体
     */
    public static class DiseaseLevel {

        @ApiModelProperty(value = "疾病ID",required = true)
        private Integer diseaseId;
        @ApiModelProperty(value = "时间",required = true)
        private String date;

        public Integer getDiseaseId() {
            return diseaseId;
        }

        public void setDiseaseId(Integer diseaseId) {
            this.diseaseId = diseaseId;
        }

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

    }

    /**
     * 名称查询疾病实体
     */
    public static class DiseaseName {

        @ApiModelProperty(value = "时间",required = true)
        private String date;
        @ApiModelProperty("疾病名称")
        private String mdcName;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public String getMdcName() {
            return mdcName;
        }

        public void setMdcName(String mdcName) {
            this.mdcName = mdcName;
        }
    }

    /**
     * 特定等级下所有数据以及子数据实体
     */
    public static class DiseaseLevelSon {
        @ApiModelProperty(value = "等级",required = true)
        private BigDecimal level;
        @ApiModelProperty(value = "时间",required = true)
        private String date;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }
        public BigDecimal getLevel() {
            return level;
        }

        public void setLevel(BigDecimal level) {
            this.level = level;
        }

    }


}


