package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SerDiseaseDocRsMapper;
import com.bsoft.api.model.SerDiseaseDocRs;
import com.bsoft.api.service.SerDiseaseDocService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;

@Service
public class SerDiseaseDocServiceImpl implements SerDiseaseDocService {

    @Resource
    private SerDiseaseDocRsMapper serDiseaseDocRsMapper;

    @Override
    public List<SerDiseaseDocRs> getDiseaseDoc(String docCode, String mdcCode, String deptCode) throws InterruptedException {
        return serDiseaseDocRsMapper.selectByCode(docCode,mdcCode,deptCode);
    }
}
